=== debian/watch ===
version=4

opts="pgpsigurlmangle=s%$%.sig%"
http://download.savannah.nongnu.org/releases/bdsync-manager/bdsync-manager-([\d\.]+).tar.gz debian uupdate
